summaryrefslogtreecommitdiff
path: root/test/context
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2015-10-01 18:06:49 (GMT)
committerChristian Pointner <equinox@spreadspace.org>2015-10-01 18:06:49 (GMT)
commit5b3cfa9386c2733a399e51848782cecb99024c05 (patch)
tree2297944fdc3f7bf4b54ebc7c4e26a05c51581fb6 /test/context
parent8d815c3eed89242cee1f355ded4ca2a03fee2de3 (diff)
read context config from special config file
Diffstat (limited to 'test/context')
-rwxr-xr-xtest/context40
1 files changed, 40 insertions, 0 deletions
diff --git a/test/context b/test/context
new file mode 100755
index 0000000..f92b057
--- /dev/null
+++ b/test/context
@@ -0,0 +1,40 @@
+#!/usr/bin/perl -w
+#
+# rhrdlibs
+#
+# Copyright (C) 2015 Christian Pointner <equinox@helsinki.at>
+#
+# This file is part of rhrdlibs.
+#
+# rhrdlibs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# any later version.
+#
+# rhrdlibs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with rhrdlibs. If not, see <http://www.gnu.org/licenses/>.
+#
+
+use strict;
+use Data::Dumper::Simple;
+
+use lib "../lib/";
+use RHRD::rddb;
+
+my ($ctx, undef, $errorstring) = RHRD::rddb::init();
+if(defined $ctx) {
+
+ print Dumper($ctx);
+
+ RHRD::rddb::destroy($ctx);
+} else {
+ print "$errorstring\n";
+ exit 1;
+}
+
+exit 0